import '../../loadableState/loading_error.dart';

class LoadableHydratedBlocEvent<TState> {}
class Emit<TState> extends LoadableHydratedBlocEvent<TState> {
  final TState Function(TState state) state;
  final bool fetch;
  Emit(this.state, {this.fetch = false});
}
class DataGathered<TState> extends LoadableHydratedBlocEvent<TState> {
  final TState Function(TState state) state;
  DataGathered(this.state);
}
class Error<TState> extends LoadableHydratedBlocEvent<TState> {
  final LoadingError error;
  Error(this.error);
}
class RefetchStarted<TState> extends LoadableHydratedBlocEvent<TState> {}
